Skip to main content
POST
/
prod-api
/
nebula
/
v4
/
api
/
anyShootEasyModeSubmit
Any Shoot - Creative Mode
curl --request POST \
  --url https://ai-nebula.com/prod-api/nebula/v4/api/anyShootEasyModeSubmit \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "size": "<string>",
  "contents": [
    {}
  ],
  "contents[].parts": [
    {}
  ],
  "contents[].parts[].text": "<string>",
  "contents[].parts[].image": "<string>"
}
'
{
  "code": 200,
  "msg": "Operation successful",
  "data": {
    "url": "https://example.com/generated-image.jpg"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.openai-nebula.com/llms.txt

Use this file to discover all available pages before exploring further.

Introduction

Submit Any Shoot creative mode task, used to generate creative style transfer images.

Authentication

Authorization
string
required
Bearer Token, e.g., Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9... How to get: Obtain via the POST interface in the Authentication module at the top left, https://docs.openai-nebula.com/en/nebula-lab-v4/endpoint/get-token

Request Parameters

size
string
required
Image size
contents
object[]
required
Content list
contents[].parts
object[]
required
Part list
contents[].parts[].text
string
Text content
contents[].parts[].image
string
Image content (supports base64 or URL)

Example Code

curl -X POST "https://ai-nebula.com/prod-api/nebula/v4/api/anyShootEasyModeSubmit" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-xxxxxxxxxx" \
  -d '{
    "size": "1024x1024",
    "contents": [
      {
        "parts": [
          {
            "text": "A cute little cat playing on the grass"
          },
          {
            "image": "https://example.com/cat.jpg"
          }
        ]
      }
    ]
  }'

Response Example

{
  "code": 200,
  "msg": "Operation successful",
  "data": {
    "url": "https://example.com/generated-image.jpg"
  }
}